For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Eval

Get Eval Run

GET
https://api.vapi.ai/eval/run/:id
GET
/eval/run/:id
$curl https://api.vapi.ai/eval/run/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "status": "running",
3 "endedReason": "mockConversation.done",
4 "target": {
5 "assistant": {
6 "transcriber": {
7 "provider": "assembly-ai",
8 "language": "multi",
9 "confidenceThreshold": 0.4,
10 "formatTurns": true,
11 "endOfTurnConfidenceThreshold": 0.7,
12 "minEndOfTurnSilenceWhenConfident": 160,
13 "wordFinalizationMaxWaitTime": 160,
14 "maxTurnSilence": 400,
15 "vadAssistedEndpointingEnabled": true,
16 "speechModel": "universal-streaming-english",
17 "realtimeUrl": "string",
18 "wordBoost": [
19 "string"
20 ],
21 "keytermsPrompt": [
22 "string"
23 ],
24 "endUtteranceSilenceThreshold": 1.1,
25 "disablePartialTranscripts": true,
26 "fallbackPlan": {
27 "transcribers": [
28 {
29 "provider": "assembly-ai",
30 "language": "multi",
31 "confidenceThreshold": 0.4,
32 "formatTurns": true,
33 "endOfTurnConfidenceThreshold": 0.7,
34 "minEndOfTurnSilenceWhenConfident": 160,
35 "wordFinalizationMaxWaitTime": 160,
36 "maxTurnSilence": 400,
37 "vadAssistedEndpointingEnabled": true,
38 "speechModel": "universal-streaming-english",
39 "realtimeUrl": "string",
40 "wordBoost": [
41 "string"
42 ],
43 "keytermsPrompt": [
44 "string"
45 ],
46 "endUtteranceSilenceThreshold": 1.1,
47 "disablePartialTranscripts": true
48 }
49 ]
50 }
51 },
52 "model": {
53 "messages": [
54 {
55 "content": "string",
56 "role": "assistant"
57 }
58 ],
59 "tools": [
60 {
61 "messages": [
62 {
63 "contents": [
64 {
65 "type": {},
66 "text": {},
67 "language": {}
68 }
69 ],
70 "type": "request-start",
71 "blocking": false,
72 "content": "string",
73 "conditions": [
74 {
75 "operator": "eq",
76 "param": "string",
77 "value": "string"
78 }
79 ]
80 }
81 ],
82 "type": "apiRequest",
83 "method": "POST",
84 "timeoutSeconds": 20,
85 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
86 "encryptedPaths": [
87 "string"
88 ],
89 "parameters": [
90 {
91 "key": "string",
92 "value": {}
93 }
94 ],
95 "name": "string",
96 "description": "string",
97 "url": "string",
98 "body": {
99 "type": "string",
100 "items": {},
101 "properties": {},
102 "description": "string",
103 "pattern": "string",
104 "format": "date-time",
105 "required": [
106 "string"
107 ],
108 "enum": [
109 "string"
110 ],
111 "title": "string"
112 },
113 "headers": {
114 "type": "string",
115 "items": {},
116 "properties": {},
117 "description": "string",
118 "pattern": "string",
119 "format": "date-time",
120 "required": [
121 "string"
122 ],
123 "enum": [
124 "string"
125 ],
126 "title": "string"
127 },
128 "backoffPlan": {
129 "type": "fixed",
130 "maxRetries": 0,
131 "baseDelaySeconds": 1,
132 "excludedStatusCodes": [
133 400,
134 401,
135 403,
136 404
137 ]
138 },
139 "variableExtractionPlan": {
140 "schema": {
141 "type": {},
142 "items": {},
143 "properties": {},
144 "description": {},
145 "pattern": {},
146 "format": {},
147 "required": {},
148 "enum": {},
149 "title": {}
150 },
151 "aliases": [
152 {
153 "key": "string",
154 "value": "string"
155 }
156 ]
157 },
158 "rejectionPlan": {
159 "conditions": [
160 {
161 "type": "regex",
162 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
163 }
164 ]
165 }
166 }
167 ],
168 "toolIds": [
169 "string"
170 ],
171 "knowledgeBase": {
172 "provider": "custom-knowledge-base",
173 "server": {
174 "timeoutSeconds": 20,
175 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
176 "staticIpAddressesEnabled": false,
177 "encryptedPaths": [
178 "string"
179 ],
180 "url": "string",
181 "headers": {},
182 "backoffPlan": {
183 "type": "fixed",
184 "maxRetries": 0,
185 "baseDelaySeconds": 1,
186 "excludedStatusCodes": [
187 400,
188 401,
189 403,
190 404
191 ]
192 }
193 }
194 },
195 "model": "claude-3-opus-20240229",
196 "provider": "anthropic",
197 "thinking": {
198 "type": "enabled",
199 "budgetTokens": 50500
200 },
201 "temperature": 1.1,
202 "maxTokens": 5030,
203 "emotionRecognitionEnabled": true,
204 "numFastTurns": 1.1
205 },
206 "voice": {
207 "cachingEnabled": true,
208 "provider": "azure",
209 "voiceId": "andrew",
210 "chunkPlan": {
211 "enabled": true,
212 "minCharacters": 30,
213 "punctuationBoundaries": "。",
214 "formatPlan": {
215 "enabled": true,
216 "numberToDigitsCutoff": 2025,
217 "replacements": [
218 {
219 "type": {},
220 "replaceAllEnabled": {},
221 "key": {},
222 "value": {}
223 }
224 ],
225 "formattersEnabled": "markdown"
226 }
227 },
228 "speed": 1.1,
229 "fallbackPlan": {
230 "voices": [
231 {
232 "cachingEnabled": true,
233 "provider": "azure",
234 "voiceId": "andrew",
235 "speed": 1.1,
236 "chunkPlan": {
237 "enabled": true,
238 "minCharacters": 30,
239 "punctuationBoundaries": [
240 "。",
241 ",",
242 ".",
243 "!",
244 "?",
245 ";",
246 "،",
247 "۔",
248 "।",
249 "॥",
250 "|",
251 "||",
252 ",",
253 ":"
254 ],
255 "formatPlan": {}
256 },
257 "oneOf": null
258 }
259 ]
260 }
261 },
262 "firstMessage": "Hello! How can I help you today?",
263 "firstMessageInterruptionsEnabled": false,
264 "firstMessageMode": "assistant-speaks-first",
265 "voicemailDetection": "off",
266 "clientMessages": "conversation-update",
267 "serverMessages": "assistant.started",
268 "maxDurationSeconds": 600,
269 "backgroundSound": "off",
270 "modelOutputInMessagesEnabled": false,
271 "transportConfigurations": [
272 {
273 "provider": "twilio",
274 "timeout": 60,
275 "record": false,
276 "recordingChannels": "mono"
277 }
278 ],
279 "observabilityPlan": {
280 "provider": "langfuse",
281 "promptName": "string",
282 "promptVersion": 1.1,
283 "traceName": "string",
284 "tags": [
285 "string"
286 ],
287 "metadata": {}
288 },
289 "credentials": [
290 {
291 "provider": "anthropic",
292 "apiKey": "string",
293 "name": "string"
294 }
295 ],
296 "hooks": [
297 {
298 "on": "call.ending",
299 "do": [
300 {
301 "type": "tool",
302 "tool": {
303 "messages": [
304 {
305 "contents": {},
306 "type": {},
307 "blocking": false,
308 "content": {},
309 "conditions": {}
310 }
311 ],
312 "type": "apiRequest",
313 "method": "POST",
314 "timeoutSeconds": 20,
315 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
316 "encryptedPaths": [
317 "string"
318 ],
319 "parameters": [
320 {
321 "key": "string",
322 "value": {}
323 }
324 ],
325 "name": "string",
326 "description": "string",
327 "url": "string",
328 "body": {
329 "type": {},
330 "items": {},
331 "properties": {},
332 "description": {},
333 "pattern": {},
334 "format": {},
335 "required": {},
336 "enum": {},
337 "title": {}
338 },
339 "headers": {
340 "type": {},
341 "items": {},
342 "properties": {},
343 "description": {},
344 "pattern": {},
345 "format": {},
346 "required": {},
347 "enum": {},
348 "title": {}
349 },
350 "backoffPlan": {
351 "type": "fixed",
352 "maxRetries": 0,
353 "baseDelaySeconds": 1,
354 "excludedStatusCodes": [
355 400,
356 401,
357 403,
358 404
359 ]
360 },
361 "variableExtractionPlan": {
362 "schema": {},
363 "aliases": {}
364 },
365 "rejectionPlan": {
366 "conditions": "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
367 }
368 },
369 "toolId": "string"
370 }
371 ],
372 "filters": [
373 {
374 "type": "oneOf",
375 "key": "string",
376 "oneOf": [
377 "string"
378 ]
379 }
380 ]
381 }
382 ],
383 "name": "string",
384 "voicemailMessage": "string",
385 "endCallMessage": "string",
386 "endCallPhrases": [
387 "string"
388 ],
389 "compliancePlan": {
390 "hipaaEnabled": true,
391 "pciEnabled": {
392 "pciEnabled": false
393 },
394 "securityFilterPlan": {
395 "enabled": false,
396 "filters": [
397 {}
398 ],
399 "mode": "sanitize",
400 "replacementText": "[FILTERED]"
401 },
402 "recordingConsentPlan": {
403 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
404 "voice": {
405 "cachingEnabled": true,
406 "provider": "azure",
407 "voiceId": "andrew",
408 "chunkPlan": {
409 "enabled": true,
410 "minCharacters": 30,
411 "punctuationBoundaries": "。",
412 "formatPlan": {}
413 },
414 "speed": 1.1,
415 "fallbackPlan": {
416 "voices": [
417 {}
418 ]
419 }
420 },
421 "type": "stay-on-line",
422 "waitSeconds": 3
423 }
424 },
425 "metadata": {},
426 "backgroundSpeechDenoisingPlan": {
427 "smartDenoisingPlan": {
428 "enabled": true
429 },
430 "fourierDenoisingPlan": {
431 "enabled": false,
432 "mediaDetectionEnabled": true,
433 "staticThreshold": -35,
434 "baselineOffsetDb": -15,
435 "windowSizeMs": 3000,
436 "baselinePercentile": 85
437 }
438 },
439 "analysisPlan": {
440 "minMessagesThreshold": 1.1,
441 "summaryPlan": {
442 "messages": [
443 {}
444 ],
445 "enabled": true,
446 "timeoutSeconds": 1.1
447 },
448 "structuredDataPlan": {
449 "messages": [
450 {}
451 ],
452 "enabled": true,
453 "schema": {
454 "type": "string",
455 "items": {},
456 "properties": {},
457 "description": "string",
458 "pattern": "string",
459 "format": "date-time",
460 "required": [
461 "string"
462 ],
463 "enum": [
464 "string"
465 ],
466 "title": "string"
467 },
468 "timeoutSeconds": 1.1
469 },
470 "structuredDataMultiPlan": [
471 {
472 "key": "string",
473 "plan": {
474 "messages": [
475 {}
476 ],
477 "enabled": true,
478 "schema": {
479 "type": "string",
480 "items": {},
481 "properties": {},
482 "description": "string",
483 "pattern": "string",
484 "format": "date-time",
485 "required": [
486 "string"
487 ],
488 "enum": [
489 "string"
490 ],
491 "title": "string"
492 },
493 "timeoutSeconds": 1.1
494 }
495 }
496 ],
497 "successEvaluationPlan": {
498 "rubric": "NumericScale",
499 "messages": [
500 {}
501 ],
502 "enabled": true,
503 "timeoutSeconds": 1.1
504 },
505 "outcomeIds": [
506 "string"
507 ]
508 },
509 "artifactPlan": {
510 "recordingEnabled": true,
511 "recordingFormat": "wav;l16",
512 "recordingUseCustomStorageEnabled": true,
513 "videoRecordingEnabled": false,
514 "fullMessageHistoryEnabled": false,
515 "pcapEnabled": true,
516 "pcapS3PathPrefix": "/pcaps",
517 "pcapUseCustomStorageEnabled": true,
518 "loggingEnabled": true,
519 "loggingUseCustomStorageEnabled": true,
520 "transcriptPlan": {
521 "enabled": true,
522 "assistantName": "string",
523 "userName": "string"
524 },
525 "recordingPath": "string",
526 "structuredOutputIds": [
527 "string"
528 ],
529 "structuredOutputs": [
530 {
531 "type": "ai",
532 "regex": "string",
533 "model": {
534 "provider": "openai",
535 "model": "gpt-5.4",
536 "temperature": 1.1,
537 "maxTokens": 5030
538 },
539 "compliancePlan": {
540 "forceStoreOnHipaaEnabled": false
541 },
542 "name": "string",
543 "schema": {
544 "type": "string",
545 "items": {},
546 "properties": {},
547 "description": "string",
548 "pattern": "string",
549 "format": "date-time",
550 "required": [
551 "string"
552 ],
553 "enum": [
554 "string"
555 ],
556 "title": "string"
557 },
558 "description": "string",
559 "assistantIds": [
560 "string"
561 ],
562 "workflowIds": [
563 "string"
564 ]
565 }
566 ],
567 "scorecardIds": [
568 "string"
569 ],
570 "scorecards": [
571 {
572 "name": "string",
573 "description": "string",
574 "metrics": [
575 {
576 "structuredOutputId": "string",
577 "conditions": [
578 {}
579 ]
580 }
581 ],
582 "assistantIds": [
583 "string"
584 ]
585 }
586 ],
587 "loggingPath": "string"
588 },
589 "startSpeakingPlan": {
590 "waitSeconds": 0.4,
591 "smartEndpointingEnabled": false,
592 "smartEndpointingPlan": {
593 "provider": "vapi"
594 },
595 "customEndpointingRules": [
596 {
597 "type": "assistant",
598 "regex": "string",
599 "regexOptions": [
600 {
601 "type": "ignore-case",
602 "enabled": true
603 }
604 ],
605 "timeoutSeconds": 1.1
606 }
607 ],
608 "transcriptionEndpointingPlan": {
609 "onPunctuationSeconds": 0.1,
610 "onNoPunctuationSeconds": 1.5,
611 "onNumberSeconds": 0.5
612 }
613 },
614 "stopSpeakingPlan": {
615 "numWords": 0,
616 "voiceSeconds": 0.2,
617 "backoffSeconds": 1,
618 "acknowledgementPhrases": [
619 "i understand",
620 "i see",
621 "i got it",
622 "i hear you",
623 "im listening",
624 "im with you",
625 "right",
626 "okay",
627 "ok",
628 "sure",
629 "alright",
630 "got it",
631 "understood",
632 "yeah",
633 "yes",
634 "uh-huh",
635 "mm-hmm",
636 "gotcha",
637 "mhmm",
638 "ah",
639 "yeah okay",
640 "yeah sure"
641 ],
642 "interruptionPhrases": [
643 "stop",
644 "shut",
645 "up",
646 "enough",
647 "quiet",
648 "silence",
649 "but",
650 "dont",
651 "not",
652 "no",
653 "hold",
654 "wait",
655 "cut",
656 "pause",
657 "nope",
658 "nah",
659 "nevermind",
660 "never",
661 "bad",
662 "actually"
663 ]
664 },
665 "monitorPlan": {
666 "listenEnabled": false,
667 "listenAuthenticationEnabled": false,
668 "controlEnabled": false,
669 "controlAuthenticationEnabled": false,
670 "monitorIds": [
671 "123e4567-e89b-12d3-a456-426614174000"
672 ]
673 },
674 "credentialIds": [
675 "string"
676 ],
677 "server": {
678 "timeoutSeconds": 20,
679 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
680 "staticIpAddressesEnabled": false,
681 "encryptedPaths": [
682 "string"
683 ],
684 "url": "string",
685 "headers": {},
686 "backoffPlan": {
687 "type": "fixed",
688 "maxRetries": 0,
689 "baseDelaySeconds": 1,
690 "excludedStatusCodes": [
691 400,
692 401,
693 403,
694 404
695 ]
696 }
697 },
698 "keypadInputPlan": {
699 "enabled": true,
700 "timeoutSeconds": 1.1,
701 "delimiters": "#"
702 }
703 },
704 "assistantOverrides": {},
705 "type": "assistant",
706 "assistantId": "123e4567-e89b-12d3-a456-426614174000"
707 },
708 "id": "string",
709 "orgId": "string",
710 "createdAt": "2024-01-15T09:30:00Z",
711 "startedAt": "2024-01-15T09:30:00Z",
712 "endedAt": "2024-01-15T09:30:00Z",
713 "results": [
714 {
715 "status": "pass",
716 "messages": [
717 {
718 "role": "user",
719 "content": "Hello, how are you?"
720 }
721 ],
722 "startedAt": "2021-01-01T00:00:00.000Z",
723 "endedAt": "2021-01-01T00:00:00.000Z"
724 }
725 ],
726 "cost": 0.01,
727 "costs": [
728 "[{ type: \"model\", model: \"gpt-4o\", cost: 0.01 }]"
729 ],
730 "type": "eval",
731 "eval": {
732 "messages": [
733 {
734 "role": "system",
735 "content": "You are a helpful assistant."
736 }
737 ],
738 "type": "chat.mockConversation",
739 "name": "Verified User Flow Eval",
740 "description": "This eval checks if the user flow is verified."
741 },
742 "endedMessage": "The Assistant returned an error",
743 "evalId": "123e4567-e89b-12d3-a456-426614174000"
744}
Was this page helpful?
Previous

Delete Eval Run

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Response

statusenum
This is the status of the eval run. When an eval run is created, the status is 'running'. When the eval run is completed, the status is 'ended'.
Allowed values:
endedReasonenum
This is the reason for the eval run to end. When the eval run is completed normally i.e end of mock conversation, the status is 'mockConversation.done'. When the eval fails due to an error like Chat error or incorrect configuration, the status is 'error'. When the eval runs for too long, due to model issues or tool call issues, the status is 'timeout'. When the eval run is cancelled by the user, the status is 'cancelled'. When the eval run is cancelled by Vapi for any reason, the status is 'aborted'.
Allowed values:
targetobject
This is the target that will be run against the eval
idstring
orgIdstring
createdAtdatetime
startedAtdatetime
endedAtdatetime
resultslist of objects
This is the results of the eval or suite run. The array will have a single item for an eval run, and multiple items each corresponding to the an eval in a suite run in the same order as the evals in the suite.
costdouble
This is the cost of the eval or suite run in USD.
costslist of objects
This is the break up of costs of the eval or suite run.
typeenum

This is the type of the run. Currently it is fixed to eval.

Allowed values:
evalobject
This is the transient eval that will be run
endedMessagestring
This is the ended message when the eval run ended for any reason apart from mockConversation.done
evalIdstring
This is the id of the eval that will be run.